org.apache.ode.bpel.pmapi

## Interface TInstanceInfoList

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TInstanceInfoListImpl

      public interface TInstanceInfoList
      extends org.apache.xmlbeans.XmlObject

  An XML tInstanceInfoList(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TInstanceInfoList.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TInstanceInfo` | `addNewInstanceInfo()` Appends and returns a new empty value (as xml) as the last "instance-info" element
    `TInstanceInfo[]` | `getInstanceInfoArray()` Gets array of all "instance-info" elements
    `TInstanceInfo` | `getInstanceInfoArray(int i)` Gets ith "instance-info" element
    `TInstanceInfo` | `insertNewInstanceInfo(int i)` Inserts and returns a new empty value (as xml) as the ith "instance-info" element
    `void` | `removeInstanceInfo(int i)` Removes the ith "instance-info" element
    `void` | `setInstanceInfoArray(int i, TInstanceInfo instanceInfo)` Sets ith "instance-info" element
    `void` | `setInstanceInfoArray(TInstanceInfo[] instanceInfoArray)` Sets array of all "instance-info" element
    `int` | `sizeOfInstanceInfoArray()` Returns number of "instance-info" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getInstanceInfoArray

          TInstanceInfo[] getInstanceInfoArray()

      Gets array of all "instance-info" elements

    - #### getInstanceInfoArray

          TInstanceInfo getInstanceInfoArray(int i)

      Gets ith "instance-info" element

    - #### sizeOfInstanceInfoArray

          int sizeOfInstanceInfoArray()

      Returns number of "instance-info" element

    - #### setInstanceInfoArray

          void setInstanceInfoArray(TInstanceInfo[] instanceInfoArray)

      Sets array of all "instance-info" element

    - #### setInstanceInfoArray

          void setInstanceInfoArray(int i,
                                  TInstanceInfo instanceInfo)

      Sets ith "instance-info" element

    - #### insertNewInstanceInfo

          TInstanceInfo insertNewInstanceInfo(int i)

      Inserts and returns a new empty value (as xml) as the ith "instance-info" element

    - #### addNewInstanceInfo

          TInstanceInfo addNewInstanceInfo()

      Appends and returns a new empty value (as xml) as the last "instance-info" element

    - #### removeInstanceInfo

          void removeInstanceInfo(int i)

      Removes the ith "instance-info" element